<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Home&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        Package&nbsp;screenlets
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets-module.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<!-- ==================== PACKAGE DESCRIPTION ==================== -->
<h1 class="epydoc">Package screenlets</h1><span class="codelink"><a href="screenlets-pysrc.html">source&nbsp;code</a></span><br /><br />
<!-- ==================== SUBMODULES ==================== -->
<a name="section-Submodules"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Submodules</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Submodules"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
  <tr><td class="summary">
  <ul class="nomargin">
    <li> <strong class="uidlink"><a href="screenlets.Plugins-module.html">screenlets.Plugins</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.backend-module.html">screenlets.backend</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.drawing-module.html">screenlets.drawing</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.install-module.html">screenlets.install</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.menu-module.html">screenlets.menu</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.options-module.html">screenlets.options</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins-module.html">screenlets.plugins</a></strong>
    <ul>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Amarok-module.html">screenlets.plugins.Amarok</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.AmazonCoverArtSearch-module.html">screenlets.plugins.AmazonCoverArtSearch</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Audacious-module.html">screenlets.plugins.Audacious</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Banshee-module.html">screenlets.plugins.Banshee</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.BaseConverter-module.html">screenlets.plugins.BaseConverter</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Convert-module.html">screenlets.plugins.Convert</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.CoverSearch-module.html">screenlets.plugins.CoverSearch</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Evolution-module.html">screenlets.plugins.Evolution</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Exaile-module.html">screenlets.plugins.Exaile</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Flickr-module.html">screenlets.plugins.Flickr</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.GenericPlayer-module.html">screenlets.plugins.GenericPlayer</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Gstreamer-module.html">screenlets.plugins.Gstreamer</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Juk-module.html">screenlets.plugins.Juk</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Kaffeine-module.html">screenlets.plugins.Kaffeine</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.LastFMProxy-module.html">screenlets.plugins.LastFMProxy</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.LengthConverter-module.html">screenlets.plugins.LengthConverter</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Listen-module.html">screenlets.plugins.Listen</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Loader-module.html">screenlets.plugins.Loader</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Mail-module.html">screenlets.plugins.Mail</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Mplayer-module.html">screenlets.plugins.Mplayer</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Proxy-module.html">screenlets.plugins.Proxy</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Quodlibet-module.html">screenlets.plugins.Quodlibet</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Rhythmbox-module.html">screenlets.plugins.Rhythmbox</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.SizeConverter-module.html">screenlets.plugins.SizeConverter</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Sonata-module.html">screenlets.plugins.Sonata</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.Songbird-module.html">screenlets.plugins.Songbird</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.TemperatureConverter-module.html">screenlets.plugins.TemperatureConverter</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.iCal-module.html">screenlets.plugins.iCal</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.keyring-module.html">screenlets.plugins.keyring</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.mail-module.html">screenlets.plugins.mail</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.plugins.mpdclient2-module.html">screenlets.plugins.mpdclient2</a></strong>    </li>
    </ul>
    </li>
    <li> <strong class="uidlink"><a href="screenlets.sensors-module.html">screenlets.sensors</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.services-module.html">screenlets.services</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.session-module.html">screenlets.session</a></strong>    </li>
    <li> <strong class="uidlink"><a href="screenlets.utils-module.html">screenlets.utils</a></strong>    </li>
  </ul></td></tr>
</table>

<br />
<!-- ==================== CLASSES ==================== -->
<a name="section-Classes"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Classes</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Classes"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.DefaultMenuItem-class.html" class="summary-name">DefaultMenuItem</a><br />
      A container with constants for the default menuitems
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.ScreenletTheme-class.html" class="summary-name">ScreenletTheme</a><br />
      ScreenletThemes are simple storages that allow loading files as 
        svg-handles within a theme-directory.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.Screenlet-class.html" class="summary-name">Screenlet</a><br />
      A Screenlet is a (i.e.
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.ShapedWidget-class.html" class="summary-name">ShapedWidget</a><br />
      A simple base-class for creating owner-drawn gtk-widgets
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.Tooltip-class.html" class="summary-name">Tooltip</a><br />
      A window that displays a text and serves as Tooltip (very basic 
        yet).
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets.Notify-class.html" class="summary-name">Notify</a><br />
      A window that displays a text and serves as Notification (very 
        basic yet).
    </td>
  </tr>
</table>
<!-- ==================== FUNCTIONS ==================== -->
<a name="section-Functions"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Functions</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Functions"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="_"></a><span class="summary-sig-name">_</span>(<span class="summary-sig-arg">s</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#_">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets-module.html#launch_screenlet" class="summary-sig-name">launch_screenlet</a>(<span class="summary-sig-arg">name</span>,
        <span class="summary-sig-arg">debug</span>=<span class="summary-sig-default">False</span>)</span><br />
      Launch a screenlet, either through its service or by launching a 
      new process of the given screenlet.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#launch_screenlet">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a href="screenlets-module.html#show_message" class="summary-sig-name">show_message</a>(<span class="summary-sig-arg">screenlet</span>,
        <span class="summary-sig-arg">message</span>,
        <span class="summary-sig-arg">title</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string"></code><code class="variable-quote">'</code></span>)</span><br />
      Show a message for the given Screenlet (may contain 
      Pango-Markup).</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#show_message">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="show_question"></a><span class="summary-sig-name">show_question</span>(<span class="summary-sig-arg">screenlet</span>,
        <span class="summary-sig-arg">message</span>,
        <span class="summary-sig-arg">title</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string"></code><code class="variable-quote">'</code></span>)</span><br />
      Show a question for the given Screenlet (may contain 
      Pango-Markup).</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#show_question">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="show_error"></a><span class="summary-sig-name">show_error</span>(<span class="summary-sig-arg">screenlet</span>,
        <span class="summary-sig-arg">message</span>,
        <span class="summary-sig-arg">title</span>=<span class="summary-sig-default"><code class="variable-quote">'</code><code class="variable-string">Error</code><code class="variable-quote">'</code></span>)</span><br />
      Show an error for the given Screenlet (may contain 
      Pango-Markup).</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#show_error">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="fatal_error"></a><span class="summary-sig-name">fatal_error</span>(<span class="summary-sig-arg">message</span>)</span><br />
      Raise a fatal error to stdout and stderr and exit with an 
      errorcode.</td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#fatal_error">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
      <table width="100%" cellpadding="0" cellspacing="0" border="0">
        <tr>
          <td><span class="summary-sig"><a name="create_new_instance"></a><span class="summary-sig-name">create_new_instance</span>(<span class="summary-sig-arg">name</span>)</span></td>
          <td align="right" valign="top">
            <span class="codelink"><a href="screenlets-pysrc.html#create_new_instance">source&nbsp;code</a></span>
            
          </td>
        </tr>
      </table>
      
    </td>
  </tr>
</table>
<!-- ==================== VARIABLES ==================== -->
<a name="section-Variables"></a>
<table class="summary" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-Variables"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="INSTALL_PREFIX"></a><span class="summary-name">INSTALL_PREFIX</span> = <code title="'/usr'"><code class="variable-quote">'</code><code class="variable-string">/usr</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="APP_NAME"></a><span class="summary-name">APP_NAME</span> = <code title="'Screenlets'"><code class="variable-quote">'</code><code class="variable-string">Screenlets</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="VERSION"></a><span class="summary-name">VERSION</span> = <code title="'0.1.2'"><code class="variable-quote">'</code><code class="variable-string">0.1.2</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets-module.html#COPYRIGHT" class="summary-name">COPYRIGHT</a> = <code title="'''(c) RYX (Rico Pfaus) &lt;ryx@ryxperience.com&gt;
Whise (Helder Fraga) &lt;helder.fraga@hotmail.com&gt;'''"><code class="variable-quote">'</code><code class="variable-string">(c) RYX (Rico Pfaus) &lt;ryx@ryxperience.com&gt;\nWhise</code><code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets-module.html#AUTHORS" class="summary-name">AUTHORS</a> = <code title="['RYX (Rico Pfaus) &lt;ryx@ryxperience.com&gt;',
 'Whise (Helder Fraga)&lt;helder.fraga@hotmail.com&gt;',
 'Sorcerer (Hendrik Kaju)']"><code class="variable-group">[</code><code class="variable-quote">'</code><code class="variable-string">RYX (Rico Pfaus) &lt;ryx@ryxperience.com&gt;</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">Whise (H</code><code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets-module.html#COMMENTS" class="summary-name">COMMENTS</a> = <code title="'Screenlets is a widget framework that consists of small owner-drawn a\
pplications (written in Python, a very simple object-oriented programm\
ing-language) that can be described as \'the virtual representation of\
 things lying/standing around on your desk\'. Sticknotes, clocks, rule\
rs, ... the possibilities are endless. Screenlet also tries to include\
 some compatibility with other widget frameworks,like web widgets and \
super karamba themes'"><code class="variable-quote">'</code><code class="variable-string">Screenlets is a widget framework that consists of </code><code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="DOCUMENTERS"></a><span class="summary-name">DOCUMENTERS</span> = <code title="['Documentation generated by epydoc']"><code class="variable-group">[</code><code class="variable-quote">'</code><code class="variable-string">Documentation generated by epydoc</code><code class="variable-quote">'</code><code class="variable-group">]</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets-module.html#ARTISTS" class="summary-name">ARTISTS</a> = <code title="['''ODD radio screenlet theme by ODDie
Pasodoble mail theme by jEsuSdA
Some themes by RYX
Some themes by Whise
More to come...''']"><code class="variable-group">[</code><code class="variable-quote">'</code><code class="variable-string">ODD radio screenlet theme by ODDie\nPasodoble mail</code><code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets-module.html#TRANSLATORS" class="summary-name">TRANSLATORS</a> = <code title="'''Special thanks for translators
Full Translator list on https://translations.launchpad.net/screenlets/\
'''"><code class="variable-quote">'</code><code class="variable-string">Special thanks for translators\nFull Translator</code><code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="WEBSITE"></a><span class="summary-name">WEBSITE</span> = <code title="'http://www.screenlets.org'"><code class="variable-quote">'</code><code class="variable-string">http://www.screenlets.org</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets-module.html#THIRD_PARTY_DOWNLOAD" class="summary-name">THIRD_PARTY_DOWNLOAD</a> = <code title="'http://screenlets.org/index.php/Category:UserScreenlets'"><code class="variable-quote">'</code><code class="variable-string">http://screenlets.org/index.php/Catego</code><code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="DIR_TMP"></a><span class="summary-name">DIR_TMP</span> = <code title="'/tmp/screenlets/'"><code class="variable-quote">'</code><code class="variable-string">/tmp/screenlets/</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="TMP_DIR"></a><span class="summary-name">TMP_DIR</span> = <code title="'/tmp/screenlets/'"><code class="variable-quote">'</code><code class="variable-string">/tmp/screenlets/</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="TMP_FILE"></a><span class="summary-name">TMP_FILE</span> = <code title="'screenlets.helder.running'"><code class="variable-quote">'</code><code class="variable-string">screenlets.helder.running</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="DIR_USER_ROOT"></a><span class="summary-name">DIR_USER_ROOT</span> = <code title="'/usr/share/screenlets'"><code class="variable-quote">'</code><code class="variable-string">/usr/share/screenlets</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="DIR_CONFIG"></a><span class="summary-name">DIR_CONFIG</span> = <code title="'/home/helder/.config/Screenlets'"><code class="variable-quote">'</code><code class="variable-string">/home/helder/.config/Screenlets</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a href="screenlets-module.html#SCREENLETS_PATH" class="summary-name">SCREENLETS_PATH</a> = <code title="['/home/helder/.screenlets', '/usr/share/screenlets']"><code class="variable-group">[</code><code class="variable-quote">'</code><code class="variable-string">/home/helder/.screenlets</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">/usr/share/scr</code><code class="variable-ellipsis">...</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="DAEMON_BUS"></a><span class="summary-name">DAEMON_BUS</span> = <code title="'org.screenlets.ScreenletsDaemon'"><code class="variable-quote">'</code><code class="variable-string">org.screenlets.ScreenletsDaemon</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="DAEMON_PATH"></a><span class="summary-name">DAEMON_PATH</span> = <code title="'/org/screenlets/ScreenletsDaemon'"><code class="variable-quote">'</code><code class="variable-string">/org/screenlets/ScreenletsDaemon</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="DAEMON_IFACE"></a><span class="summary-name">DAEMON_IFACE</span> = <code title="'org.screenlets.ScreenletsDaemon'"><code class="variable-quote">'</code><code class="variable-string">org.screenlets.ScreenletsDaemon</code><code class="variable-quote">'</code></code>
    </td>
  </tr>
<tr>
    <td width="15%" align="right" valign="top" class="summary">
      <span class="summary-type">&nbsp;</span>
    </td><td class="summary">
        <a name="DEBUG_MODE"></a><span class="summary-name">DEBUG_MODE</span> = <code title="True">True</code>
    </td>
  </tr>
</table>
<!-- ==================== FUNCTION DETAILS ==================== -->
<a name="section-FunctionDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Function Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-FunctionDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="launch_screenlet"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">launch_screenlet</span>(<span class="sig-arg">name</span>,
        <span class="sig-arg">debug</span>=<span class="sig-default">False</span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets-pysrc.html#launch_screenlet">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Launch a screenlet, either through its service or by launching a new 
  process of the given screenlet. Name has to be the name of the 
  Screenlet's class without trailing 'Screenlet'. NOTE: we could only 
  launch the file here
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<a name="show_message"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <table width="100%" cellpadding="0" cellspacing="0" border="0">
  <tr valign="top"><td>
  <h3 class="epydoc"><span class="sig"><span class="sig-name">show_message</span>(<span class="sig-arg">screenlet</span>,
        <span class="sig-arg">message</span>,
        <span class="sig-arg">title</span>=<span class="sig-default"><code class="variable-quote">'</code><code class="variable-string"></code><code class="variable-quote">'</code></span>)</span>
  </h3>
  </td><td align="right" valign="top"
    ><span class="codelink"><a href="screenlets-pysrc.html#show_message">source&nbsp;code</a></span>&nbsp;
    </td>
  </table>
  
  Show a message for the given Screenlet (may contain Pango-Markup). If 
  screenlet is None, this function can be used by other objects as 
  well.
  <dl class="fields">
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== VARIABLES DETAILS ==================== -->
<a name="section-VariablesDetails"></a>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr bgcolor="#70b0f0" class="table-header">
  <td colspan="2" class="table-header">
    <table border="0" cellpadding="0" cellspacing="0" width="100%">
      <tr valign="top">
        <td align="left"><span class="table-header">Variables Details</span></td>
        <td align="right" valign="top"
         ><span class="options">[<a href="#section-VariablesDetails"
         class="privatelink" onclick="toggle_private();"
         >hide private</a>]</span></td>
      </tr>
    </table>
  </td>
</tr>
</table>
<a name="COPYRIGHT"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">COPYRIGHT</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-quote">'''</code><code class="variable-string">(c) RYX (Rico Pfaus) &lt;ryx@ryxperience.com&gt;</code>
<code class="variable-string">Whise (Helder Fraga) &lt;helder.fraga@hotmail.com&gt;</code><code class="variable-quote">'''</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="AUTHORS"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">AUTHORS</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-group">[</code><code class="variable-quote">'</code><code class="variable-string">RYX (Rico Pfaus) &lt;ryx@ryxperience.com&gt;</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 <code class="variable-quote">'</code><code class="variable-string">Whise (Helder Fraga)&lt;helder.fraga@hotmail.com&gt;</code><code class="variable-quote">'</code><code class="variable-op">,</code>
 <code class="variable-quote">'</code><code class="variable-string">Sorcerer (Hendrik Kaju)</code><code class="variable-quote">'</code><code class="variable-group">]</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="COMMENTS"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">COMMENTS</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-quote">'</code><code class="variable-string">Screenlets is a widget framework that consists of small owner-drawn a</code><span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
<code class="variable-string">pplications (written in Python, a very simple object-oriented programm</code><span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
<code class="variable-string">ing-language) that can be described as \'the virtual representation of</code><span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
<code class="variable-string"> things lying/standing around on your desk\'. Sticknotes, clocks, rule</code><span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
<code class="variable-string">rs, ... the possibilities are endless. Screenlet also tries to include</code><span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
<code class="variable-string"> some compatibility with other widget frameworks,like web widgets and </code><span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
<code class="variable-string">super karamba themes</code><code class="variable-quote">'</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="ARTISTS"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">ARTISTS</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-group">[</code><code class="variable-quote">'''</code><code class="variable-string">ODD radio screenlet theme by ODDie</code>
<code class="variable-string">Pasodoble mail theme by jEsuSdA</code>
<code class="variable-string">Some themes by RYX</code>
<code class="variable-string">Some themes by Whise</code>
<code class="variable-string">More to come...</code><code class="variable-quote">'''</code><code class="variable-group">]</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="TRANSLATORS"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">TRANSLATORS</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-quote">'''</code><code class="variable-string">Special thanks for translators</code>
<code class="variable-string">Full Translator list on https://translations.launchpad.net/screenlets/</code><code class="variable-quote"></code><span class="variable-linewrap"><img src="crarr.png" alt="\" /></span>
<code class="variable-quote">'''</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="THIRD_PARTY_DOWNLOAD"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">THIRD_PARTY_DOWNLOAD</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-quote">'</code><code class="variable-string">http://screenlets.org/index.php/Category:UserScreenlets</code><code class="variable-quote">'</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<a name="SCREENLETS_PATH"></a>
<div>
<table class="details" border="1" cellpadding="3"
       cellspacing="0" width="100%" bgcolor="white">
<tr><td>
  <h3 class="epydoc">SCREENLETS_PATH</h3>
  
  <dl class="fields">
  </dl>
  <dl class="fields">
    <dt>Value:</dt>
      <dd><table><tr><td><pre class="variable">
<code class="variable-group">[</code><code class="variable-quote">'</code><code class="variable-string">/home/helder/.screenlets</code><code class="variable-quote">'</code><code class="variable-op">, </code><code class="variable-quote">'</code><code class="variable-string">/usr/share/screenlets</code><code class="variable-quote">'</code><code class="variable-group">]</code>
</pre></td></tr></table>
</dd>
  </dl>
</td></tr></table>
</div>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th bgcolor="#70b0f0" class="navbar-select"
          >&nbsp;&nbsp;&nbsp;Home&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:52:57 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
